Summary:	X.org video driver for generic VESA video cards
Summary(pl.UTF-8):	Sterownik obrazu X.org dla kart graficznych zgodnych z VESA
Name:		xorg-driver-video-vesa
Version:	2.5.0
Release:	1
License:	MIT
Group:		X11/Applications
Source0:	https://xorg.freedesktop.org/releases/individual/driver/xf86-video-vesa-%{version}.tar.bz2
# Source0-md5:	e7cf9705b3a60365e5c251a604bc72e9
URL:		https://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	rpmbuild(macros) >= 1.389
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.12.901
BuildRequires:	xorg-proto-fontsproto-devel
BuildRequires:	xorg-proto-randrproto-devel
BuildRequires:	xorg-proto-renderproto-devel
BuildRequires:	xorg-proto-xextproto-devel >= 7.0.99.1
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRequires:	xorg-xserver-server-devel >= 1.6
%{?requires_xorg_xserver_videodrv}
Requires:	xorg-lib-libpciaccess >= 0.12.901
Requires:	xorg-xserver-server >= 1.6
Provides:	xorg-driver-video
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X.org video driver for generic VESA video cards.

%description -l pl.UTF-8
Sterownik obrazu X.org dla kart graficznych zgodnych ze standardem
VESA.

%prep
%setup -q -n xf86-video-vesa-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/xorg/modules/*/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README.md
%attr(755,root,root) %{_libdir}/xorg/modules/drivers/vesa_drv.so
%{_mandir}/man4/vesa.4*
%changelog
* Fri Sep 11 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/xorg-driver-video-vesa.git;a=log;h=master

* Fri Sep 11 2020 Jakub Bogusz <qboosh@pld-linux.org> cc89d97
- updated to 2.5.0

* Mon May 14 2018 Jan Rękorajski <baggins@pld-linux.org> d67a7b4
- release 2 (by relup.sh)

* Tue Feb 20 2018 Jakub Bogusz <qboosh@pld-linux.org> 0d3f6ff
- updated to 2.4.0

* Sun Nov 20 2016 Jan Rękorajski <baggins@pld-linux.org> d3f1d20
- release 3 (by relup.sh)

* Fri Dec 25 2015 Jan Rękorajski <baggins@pld-linux.org> cf7bc3b
- release 2 (by relup.sh)

* Fri Jun 19 2015 Jakub Bogusz <qboosh@pld-linux.org> 2738587
- updated to 2.3.4
- dropped xf86gtfmode (now driver requires Xserver 1.6 anyway)

* Thu Feb 05 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 702bb22
- due to xserver 1.17
- release 5 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> d920dba
- xserver rebuild
- release 4 (by relup.sh)

* Thu Jul 17 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 145ce81
- xserver rebuild
- release 3 (by relup.sh)

* Fri Jan 03 2014 Jan Rękorajski <baggins@pld-linux.org> 39ef141
- release 2 (by relup.sh)

* Wed Sep 11 2013 Jakub Bogusz <qboosh@pld-linux.org> 6a606f2
- updated to 2.3.3
- removed obsolete build patch

* Tue Mar 12 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> eb2b0bb
- rel 4; fix build with xserver 1.14

* Mon Mar 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 2463d3a
- release 3 (by relup.sh)

* Thu Sep 06 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> ed25391
- release 2 (by relup.sh)

* Fri Jul 27 2012 Jakub Bogusz <qboosh@pld-linux.org> 4a8b634
- updated to 2.3.2

* Fri Mar 23 2012 Jakub Bogusz <qboosh@pld-linux.org> ecc806e
- updated to 2.3.1

* Sat Aug 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 3ee711a
- release 7

* Thu Aug 25 2011 Elan Ruusamäe <glen@pld-linux.org> c114cc0
- xorg-driver-video virtual for video drivers
- release 6

* Sun Feb 27 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> 9ea76e6
- release 5

* Wed Nov 10 2010 shadzik <shadzik@pld-linux.org> 89f7e5c
- rel up

